document.addEventListener('DOMContentLoaded', () => {
  const card = document.querySelector('.card');
  const likeBtn = document.querySelector('.btn-like');
  const dislikeBtn = document.querySelector('.btn-dislike');
  const modal = document.querySelector('.match-modal');
  let startX = 0;
  let currentX = 0;

  // Touch events for swiping
  card.addEventListener('touchstart', (e) => {
    startX = e.touches[0].clientX;
    card.style.transition = 'none';
  });

  card.addEventListener('touchmove', (e) => {
    currentX = e.touches[0].clientX - startX;
    card.style.transform = `translateX(${currentX}px) rotate(${currentX * 0.1}deg)`;
  });

  card.addEventListener('touchend', () => {
    card.style.transition = 'transform 0.3s ease';
    if (Math.abs(currentX) > 100) {
      const liked = currentX > 0;
      handleSwipe(liked);
    } else {
      card.style.transform = '';
    }
  });

  // Button click events
  likeBtn.addEventListener('click', () => handleSwipe(true));
  dislikeBtn.addEventListener('click', () => handleSwipe(false));

  function handleSwipe(liked) {
    const direction = liked ? 1 : -1;
    card.style.transform = `translateX(${direction * window.innerWidth}px) rotate(${direction * 30}deg)`;
    
    if (liked) {
      // 30% chance of a match when liking
      if (Math.random() < 0.3) {
        setTimeout(() => {
          modal.removeAttribute('hidden');
        }, 500);
      }
    }
    
    // Reset card position after animation
    setTimeout(() => {
      card.style.transition = 'none';
      card.style.transform = '';
      setTimeout(() => {
        card.style.transition = 'transform 0.3s ease';
      }, 50);
    }, 300);
  }

  // Modal controls
  modal.addEventListener('click', (e) => {
    if (e.target === modal || e.target.classList.contains('btn-secondary')) {
      modal.setAttribute('hidden', '');
    }
  });
});
